import { Component, OnInit } from "@angular/core";
import { NavigationLink } from "src/app/symbols/NavigationLink";

@Component({
	selector: "app-navbar",
	templateUrl: "./navbar.component.html",
	styleUrls: ["./navbar.component.scss"]
})
export class NavbarComponent implements OnInit {

	public navigationLinks: NavigationLink[] = [
		{
			text: "Software",
			address: "/article/software"
		},
		{
			text: "Midi23D",
			address: "/article/midi23d"
		},
		{
			text: "Calculator",
			address: "/article/calculator",
			newtab: true
		},
		{
			text: "Github",
			address: "https://github.com/Cavallium/WarpPI",
			external: true,
			newtab: false
		},
	];

	constructor() { }

	ngOnInit() {
	}

}
